# class Resolv::LOC::Coord

A `Resolv::LOC::Coord`

### Constants

Regex

### Attributes

coordinates [R]

The raw coordinates

orientation [R]

The orientation of the hemisphere as ‘lat’ or ‘lon’

### Public Class Methods

create (arg)
Source

    # File lib/resolv.rb, line 3295
    def self.create(arg)
      case arg
      when Coord
        return arg
      when String
        coordinates = ''
        if Regex =~ arg && $1.to_f < 180
          m = $~
          hemi = (m[4][/[NE]/]) || (m[4][/[SW]/]) ? 1 : -1
          coordinates = [ ((m[1].to_i*(36e5)) + (m[2].to_i*(6e4)) +
                           (m[3].to_f*(1e3))) * hemi+(2**31) ].pack("N")
          orientation = m[4][/[NS]/] ? 'lat' : 'lon'
        else
          raise ArgumentError.new("not a properly formed Coord string: " + arg)
        end
        return Coord.new(coordinates,orientation)
      else
        raise ArgumentError.new("cannot interpret as Coord: #{arg.inspect}")
      end
    end

Creates a new `LOC::Coord` from `arg` which may be:

`LOC::Coord`

  returns `arg`.

`String`

  `arg` must match the LOC::Coord::Regex constant

new (coordinates,orientation)
Source

    # File lib/resolv.rb, line 3316
    def initialize(coordinates,orientation)
      unless coordinates.kind_of?(String)
        raise ArgumentError.new("Coord must be a 32bit unsigned integer in hex format: #{coordinates.inspect}")
      end
      unless orientation.kind_of?(String) && orientation[/^lon$|^lat$/]
        raise ArgumentError.new('Coord expects orientation to be a String argument of "lat" or "lon"')
      end
      @coordinates = coordinates
      @orientation = orientation
    end